Content.makeFrontInterface(600, 600);

reg origin;
reg target;

// btnFile
const btnFile = Content.getComponent("btnFile");
btnFile.setControlCallback(onbtnFileControl);

inline function onbtnFileControl(component, value)
{
	if (value)
	{
		FileSystem.browse(FileSystem.Downloads, false, "*.zip", function(f)
		{
			if (isDefined(f) && f.isFile())
				origin = f;
		});
	}
}

// btnDir
const btnDir = Content.getComponent("btnDir");
btnDir.setControlCallback(onbtnDirControl);

inline function onbtnDirControl(component, value)
{
	if (value)
	{
		FileSystem.browseForDirectory(FileSystem.Downloads, function(dir)
		{
			if (isDefined(dir) && dir.isDirectory())
				target = dir;
		});
	}
}

// btnUnzip
const btnUnzip = Content.getComponent("btnUnzip");
btnUnzip.setControlCallback(onbtnUnzipControl);

inline function onbtnUnzipControl(component, value)
{
	if (value)
	{
		if (isDefined(origin) && isDefined(target))
		{
			origin.extractZipFile(target, true, function(obj)
			{
				if (obj.Error)
					Engine.showMessageBox("Error", obj.Error, 3);
				else if (obj.Status == 2)
					Engine.showMessageBox("Success", "Extraction has finished", 0);				
			});
		}
	}
}function onNoteOn()
{
	
}
 function onNoteOff()
{
	
}
 function onController()
{
	
}
 function onTimer()
{
	
}
 function onControl(number, value)
{
	
}
 